return {
	"nvim-treesitter/nvim-treesitter",
	event = { "BufReadPost", "BufNewFile" },
	build = ":TSUpdate",
	opts = {
		ensure_installed = {
			-- basics
			"bash",
			"json",
			"markdown",
			"markdown_inline",
			"lua",
			"regex",
			"vim",

			-- web dev
			"html",
			"css",
			"javascript",
			"typescript",
			"svelte",

			-- go
			"go",
			"gomod",
			"gowork",
			"gosum",
		},
		highlight = { enable = true },
		indent = { enable = true },
	},
	config = function(_, opts)
		require("nvim-treesitter.configs").setup(opts)
	end,
}
